com.smartxls

## Class RangeArea

- java.lang.Object
- - com.smartxls.RangeArea

-     public class RangeArea
      extends java.lang.Object

  represent one cell or range

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeArea(int row1, int col1, int row2, int col2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCol1()` start col
    `int` | `getCol2()` end col
    `int` | `getRow1()` start row
    `int` | `getRow2()` end row
    `int` | `getSheet()` sheet index -1 if not used
    `void` | `setCol1(int col1)` set the start column
    `void` | `setCol2(int col2)` set the end col
    `void` | `setRow1(int row1)` set the start row
    `void` | `setRow2(int row2)` set the end row
    `void` | `setSheet(int sheet)` set the sheet index
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeArea

          public RangeArea(int row1,
                           int col1,
                           int row2,
                           int col2)

  - ### Method Detail

    - #### getSheet

          public int getSheet()

      sheet index -1 if not used
      Returns:
        sheet index

    - #### setSheet

          public void setSheet(int sheet)

      set the sheet index
      Parameters:
        `sheet` - index

    - #### getRow1

          public int getRow1()

      start row
      Returns:
        row1

    - #### setRow1

          public void setRow1(int row1)

      set the start row
      Parameters:
        `row1` - row1

    - #### getCol1

          public int getCol1()

      start col
      Returns:
        col1

    - #### setCol1

          public void setCol1(int col1)

      set the start column
      Parameters:
        `col1` - col1

    - #### getRow2

          public int getRow2()

      end row
      Returns:
        row2

    - #### setRow2

          public void setRow2(int row2)

      set the end row
      Parameters:
        `row2` - row2

    - #### getCol2

          public int getCol2()

      end col
      Returns:
        col2

    - #### setCol2

          public void setCol2(int col2)

      set the end col
      Parameters:
        `col2` - col2

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`